=== debian/changelog ===
kf6-kirigami (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)
  * New library package libkirigamilayoutsprivate6
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:58:20 +0100
