=== debian/changelog ===
kf6-kirigami (6.14.1-0ubuntu1) questing; urgency=medium

  * New upstream hotfix release (6.14.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 15 May 2025 14:22:55 +0100
