## kf6-kirigami 6.16.0

=== debian/changelog ===
kf6-kirigami (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:44:51 +0100

kf6-kirigami (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.
  * New library package libkirigamipolyfill6.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 13:54:39 +0100
