=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.14.0~),
+               extra-cmake-modules (>= 6.16.0~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
@@ -209,6 +209,26 @@
  .
  This package contains the kirigami platform library.
 
+Package: libkirigamipolyfill6
+Architecture: any
+Multi-Arch: same
+Depends: libkirigami-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: set of QtQuick components targeted for mobile use
+ Kirigami is a set of QtQuick components at the moment targeted for
+ mobile use (in the future desktop as well) targeting both Plasma
+ Mobile and Android. A set of high level components to make the
+ creation of applications that look and feel great on mobile as well
+ as desktop devices and follow the Kirigami Human Interface
+ Guidelines. The target of these components is anybody that wants to
+ do an application using QtQuick as its main UI, especially if
+ targeting a mobile platform, without adding many dependencies. They
+ work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
+ Android and Windows.
+ .
+ This package contains the kirigami polyfill library.
+
 Package: libkirigamiprimitives6
 Architecture: any
 Multi-Arch: same
@@ -241,24 +261,3 @@
  Mobile and Android. A set of high level components to make the
  creation of applications that look and feel great on mobile as well
  as desktop devices and follow the Kirigami Human Interface
- Guidelines. The target of these components is anybody that wants to
- do an application using QtQuick as its main UI, especially if
- targeting a mobile platform, without adding many dependencies. They
- work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
- Android and Windows.
- .
- This package contains the private objects of the kirigami library.
-
-Package: qml6-module-org-kde-kirigami
-Architecture: any
-Multi-Arch: same
-Depends: libkirigami6 (= ${binary:Version}),
-         libkirigamidelegates6 (= ${binary:Version}),
-         libkirigamiplatform6 (= ${binary:Version}),
-         ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
-Description: set of QtQuick components targeted for mobile use (QML module)
- Kirigami is a set of QtQuick components at the moment targeted for
- mobile use (in the future desktop as well) targeting both Plasma
- Mobile and Android. A set of high level components to make the
