=== debian/changelog ===
kf6-kirigami (6.17.0-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 07:44:28 +0100

kf6-kirigami (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)
  * New library package libkirigamitemplates6
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:16:02 +0100
